* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  scroll-behavior: smooth;
}

/*navbar */
.navbar{
  display: flex;
  justify-content: center;
  height: 50px;
  align-items: center;
  position: sticky;
  top: 0;
  font-weight: normal;

}

.navbar::before{
  content: "";
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  width: 100%;
  z-index: -1; 
  font-weight: normal;
}

.navbar ul{
  display: flex;
  list-style: none;
  font-weight: normal;
}

.navbar ul li { 
  font-size: 1.1rem; 
  font-weight: normal;

}

.navbar ul li a{ 
  padding: 5px 20px;
  text-decoration: none;
  color: white;
  font-weight: normal;
}

.navbar ul li a:hover{
  border-bottom: 2px solid white;
  font-weight: normal;

}

/* Home Section */
#home {
  display: flex;
  flex-direction: column;
  height: 650px;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  color: rgb(0, 0, 0);
}

#home::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  background: url('02.jpg') no-repeat center/cover;
  height: 700px;
  width: 100%;
  z-index: -1;
  opacity: .8;
}

.heading {
  color: white;
  font-family: 'Space Grotesk', sans-serif;
  text-align: center;
  transform: scale(1, 1.3);
  font-weight: normal;
}

/* Style h1 within .heading */
.heading h1 {
  font-size: 3rem;
  font-weight: normal;
  
}

/* Style h2 within .heading */
/* .heading h2 {
  font-size: 1rem;
  font-family: 'Space Grotesk', sans-serif;
  color: red; /* Adjust the color to red */
  




/*Portfolio Section*/
#portfolio{
  display: flex;
  flex-direction: column;
  background-color: #000000;
}
#portfolio h1{
  margin: 60px;
}

.gallery{
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;

}


.gallery img{
  width: 360px;
  height: 640px;
  padding: 5px;
  margin: 10px;
}

.gallery figcaption {
  color: white;
  /* font-family: Georgia, 'Times New Roman', Times, Serif; */
  font-family: 'Space Grotesk', sans-serif;
  text-align: center;

}



.gallery img:hover{
  background-color:rgb(7, 7, 7);
  cursor: pointer;
  transition: opacity 0.3s; /* Add a transition effect on opacity for smooth hover */
    }

.gallery div:hover img {
        opacity: 0.7; /* Reduce opacity when hovering */
    }





/*Education Section */
#education{
  display: flex;
  flex-direction: column;
  background-color: #000000dc;

}

#education h1{
  margin: 60px;
}

.columns{
  display: grid;
  grid-template-columns: auto auto;
  padding-left: 250px;

}

.box{
  height: auto;
  width: 500px;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  margin: 10px;
  padding: 20px;
}

.box h2{
  color: white;
  font-size: 2rem;
  margin-bottom: 40px;
}



.box p{
  color: white;
  font-size: 1.1rem;
}

/*About Section*/
#about{
  display: flex;
  flex-direction: column;
  text-align: justify;
  height: 100%;
}
#about h1{
  color: black;
  margin: 55px;

}
.about{
  display: flex;
  align-items: center;
  margin-bottom: 20px;

}

.about img{
  width: 500px;
  height: 400px;
  padding: 0px 30px;
}
.name{
  padding: 10px;
}

.name h2{
  font-size: 2rem;

}

.name p{
  font-size: 1.2rem;
}

/*Contact section*/
#contact{
  display: flex;
  flex-direction: column;
  background-color: #000000dc;

}
#contact h1{
  margin: 50px ;
}

.form{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.input{
  padding: 15px 20px;
  margin: 15px;
  width: 40%;
  border: none;
  outline: none;
  border-radius: 25px;
}
#message{
  margin: 15px;
  padding: 10px;
  border-radius: 20px;
}
#submit{
  padding: 15px 20px;
  margin: 30px;
  width: 15%;
  border-radius: 20px;
  background-color: #000000dc;
  color: white;
  border: none;
  outline: none;
}
#submit:hover{
  background-color: green;
  color: white;
  cursor: pointer;
}


/*Project*/
project { padding-block: var(--section-padding); }

.project-list > li { margin-bottom: 25px; }

.project-card {
  position: relative;
  overflow: hidden;
  border-radius: var(--radius-12);
  
}

.project-card::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  transition: var(--transition-1);
}

.project-card:is(:hover, :focus)::after {
  background: hsla(0, 0%, 100%, 0.1);
  backdrop-filter: blur(0.5px);
}

.project-card .card-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
}

.project-card .card-title { margin-bottom: 10px; }

.project-card :is(.card-title, .publish-date) {
  background: var(--bg-primary);
  padding: 6px 12px;
  width: max-content;
  box-shadow: var(--shadow-1);
  transform: translateY(20px);
  opacity: 0;
  transition: var(--transition-1);
}

.project-card .publish-date {
  font-size: var(--fs-6);
  color: var(--color-primary);
  transition-delay: 0s;
}

.project-card:is(:hover, :focus) :is(.card-title, .publish-date) {
  transform: translateY(0);
  opacity: 1;
}

.project-card:is(:hover, :focus) .publish-date { transition-delay: 0.1s; }




#video-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: -1;
}

#content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
}


.view-button {
  display: inline-block;
  padding: 10px 20px;
  text-decoration: none;
  color: white;
  border: 1px solid white;
  border-radius: 5px;
  background-color: transparent;
  transition: background-color 0.3s, color 0.3s;
  margin: 10px;
  /* font-family: Georgia, 'Times New Roman', Times, Serif; */
  font-family: 'Space Grotesk', sans-serif;
  
  font-size: 1rem;
  text-align: center;
}



.view-button:hover {
  background-color: white;
  color: black;
}




.social-buttons {
  text-align: center;
  position: fixed;
  bottom: 20px; /* Adjust the distance from the bottom as needed */
  left: 0;
  right: 0;
}

.social-button {
  display: inline-block;
  margin: 10px;
  padding: 8px 8px;
  text-decoration: none;
  color: white;
  border: 1px solid white;
  border-radius: 5px;
  background-color: transparent;
  /* font-family: Georgia, 'Times New Roman', Times, Serif; */
  
  font-family: 'Space Grotesk', sans-serif;
  font-size: 1rem;
}

.social-button:hover {
  background-color: white;
  color: black;
}

/*-----------------------------------*\
 * #FOOTER
\*-----------------------------------*/

.footer {
  /* background: var(--bg-secondary); */
  padding-block: 30px;
  text-align: center;
  box-shadow: var(--shadow-1);
}

.footer .logo { margin-bottom: 15px; }

.copyright {
  color: var(--color-secondary);
  line-height: 1.6;
}

.copyright a {
  display: inline-block;
  color: var(--raw-seinna);
}





  /*navbar 
.navbar{
  display: flex;
  justify-content: center;
  height: 50px;
  align-items: center;
  position: sticky;
  top: 0;

}

.navbar::before{
  content: "";
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  width: 100%;
  z-index: -1; 
}

.navbar ul{
  display: flex;
  list-style: none;
}

.navbar ul li { 
  font-size: 1.1rem; 

}

.navbar ul li a{ 
  padding: 5px 20px;
  text-decoration: none;
  color: white;
}

.navbar ul li a:hover{
  border-bottom: 2px solid white;

}

*/


/* Navbar */
.navbar {
  display: flex;
  justify-content: center;
  height: 50px;
  align-items: center;
  position: sticky; /* Change to fixed to keep it at the top */
  top: 0;
  background-color: rgba(0, 0, 0, 0.5); /* Add background color for the navbar */
  width: 100%;
  z-index: 1000; /* Ensure it's on top of other content */
  font-weight: normal;
}

.navbar ul {
  display: flex;
  list-style: none;
  font-weight: normal;
}

.navbar ul li {
  font-size: 1.1rem;
  font-weight: normal;
}

.navbar ul li a {
  padding: 5px 20px;
  text-decoration: none;
  color: white;
  font-weight: normal;
}

.navbar ul li a:hover {
  border-bottom: 2px solid white;
  font-weight: normal;
}

#portfolio{
  display: flex;
  flex-direction: column;
  background-color: #000000;
  font-weight: normal;
}


#video-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  object-fit: cover;
}


h2 {
  color: rgb(255, 255, 255);
  font-size: 1rem;
  text-align: left;
  font-weight: normal;
  }

/* Home Section */

#home {
  display: flex;
  flex-direction: column;
  height: 650px;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  color: rgb(0, 0, 0);
  overflow: hidden;
  position: relative;
}

#home::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  background: url('02.jpg') no-repeat center/cover;
  height: 700px;
  width: 100%;
  z-index: -1;
  opacity: .8;
}

.heading {
  color: transparent;
  font-family: 'Space Grotesk', sans-serif;
  text-align: center;
  transform: scale(1, 1.3);
  font-weight: normal;
  opacity: 0;
  animation: fadeIn 2s forwards;
}

.heading h1 {
  font-size: 1.9rem;
  font-weight: normal;
  animation: slideInLeft 0.5s forwards;
}

.h2 {
  font-size: 1rem;
  font-family: 'Space Grotesk', sans-serif;
  color: red;
  text-align: center;
  opacity: 0;
  animation: fadeIn 1s forwards 1s; /* Use the same fadeIn animation as the view button with a delay */
}
.heading h2 {
  font-size: 1rem;
  font-family: 'Space Grotesk', sans-serif;
  color: rgb(255, 255, 255);
  text-align: center;
  opacity: 0;
  animation: fadeIn 1s forwards 1s; /* Use the same fadeIn animation as the view button with a delay */
}

.view-button {
  display: inline-block;
  padding: 6px 21px;
  text-decoration: none;
  color: white;
  border: 1px solid white;
  border-radius: 5px;
  background-color: transparent;
  transition: background-color 0.3s, color 0.3s;
  margin: 10px;
  /* font-family: Georgia, 'Times New Roman', Times, Serif; */
  font-family: 'Space Grotesk', sans-serif;
  
  font-size: 1rem;
  text-align: center;
}



.view-button {
  font-size: 1rem;
  opacity: 0;
  animation: fadeIn 2s forwards 2s; /* Same animation as h2 with a delay */
  color: white;
  
}

.view-button:hover {
  background-color: rgba(255, 255, 255, 0.544); /* Set the background color to transparent on hover */
  color: rgba(255, 255, 255, 0); /* Set the text color to white on hover */
  
}




/* Keyframes for animations */
@keyframes fadeIn {
  to {
    color: white;
    opacity: 1;
  }
}

@keyframes slideInLeft {
  to {
    transform: translateX(0);
  }
}


html {
  font-family: 'Space Grotesk', sans-serif;
  scroll-behavior: smooth;
  background-color: #000000;
}





